export default class DiagnosticBalancerCdn {
    columns: string[];
    private name;
    private provider;
    private requestsPerformed;
    private trafficServedInBytes;
    private failedRequests;
    constructor(name: string, provider: string);
    setRequestsPerformed(numberOfRequests: number): void;
    setTrafficServerInBytes(traffic: number): void;
    setFailedRequests(failed: number): void;
    getFailedRequestsPercentage(): number;
    generateRow(): {
        row: string;
        color: string;
    };
}
